# Source code for azure.mgmt.datalake.analytics.job.models.scope_job_resource_py3

    # coding=utf-8
    # --------------------------------------------------------------------------
    # Copyright (c) Microsoft Corporation. All rights reserved.
    # Licensed under the MIT License. See License.txt in the project root for
    # license information.
    #
    # Code generated by Microsoft (R) AutoRest Code Generator.
    # Changes may cause incorrect behavior and will be lost if the code is
    # regenerated.
    # --------------------------------------------------------------------------

    from msrest.serialization import Model

    class ScopeJobResource(Model):
        """The Scope job resources. (Only for use internally with Scope job type.).

        :param name: The name of the resource.
        :type name: str
        :param path: The path to the resource.
        :type path: str
        """

        _attribute_map = {
            'name': {'key': 'name', 'type': 'str'},
            'path': {'key': 'path', 'type': 'str'},
        }

        def __init__(self, *, name: str=None, path: str=None, **kwargs) -> None:
            super(ScopeJobResource, self).__init__(**kwargs)
            self.name = name
            self.path = path